ImportError: No module named wget 解决方法

今天在体验高级网络钓鱼工具HiddenEye的时候,当执行命令的时候结果报了如下错误:

ImportError: No module named wget

中文翻译

ImportError:没有名为wget的模块

ImportError: No module named wget

由于中途我没来得及截图,先找一个类似这样报错的图片给大家看一下,原理都是一样的。

 

先申明一下,我的python路径都有weg这个模块了,如下:

/usr/local/lib/python2.7/dist-packages/wget.py

/usr/lib/python2.7/dist-packages/wget.py

 

解决方法

方法也非常的简单,我们慢慢的来解决。

 

1、查看自己的pyhton版本:

[email protected]:/usr/local/HiddenEye# python -V

我的pyhton版本是python2.7。

 

2、查看python的sys.path路径

>>> import sys
>>> sys.path

得到了我的pyhton所有的sys路径,如下:

['', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-x86_64-linux-gnu', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PILcompat', '/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/python2.7/dist-packages/wx-3.0-gtk3']

 

3、查看是否有wget这个模块?

pyhton一般来说,我们用pip安装的模块默认都是在“/usr/lib/python2.7/dist-packages”这个路径下的。毫无疑问,我的wget模块100%是存的,前面我也申明过了。

 

4、python版本兼容等问题

现在python各方面都没有问题?但是我执行“./HiddenEye.py"依然报错,又是什么原因呢?

后来,我仔细阅读了HiddenEye文档才发现,要求的是Python3版本,结果我用的Pyhton2.7。当我换成Python3后,再用“pip install wget"安装好wget模块后,再次去运行HiddenEye就正常了。

    A+
发布日期:2019年07月24日 15:00:14  所属分类:Python
最后更新时间:2019-07-24 15:02:09
评分: (1 票;平均数5.00 ;最高评分 5 ;用户总数1;总得分 5;百分比100.00)
付杰
服务器管理面板/主机控制面板“安装”服务
服务器管理面板/主机控制面板“安装”服务
  • ¥ 9.9元
  • 市场价:49.9元
刷流量、刷人气、刷点击、刷收藏、刷APP关键词服务
刷流量、刷人气、刷点击、刷收藏、刷APP关键词服务
  • ¥ 1.0元
  • 市场价:9.9元
wp discux 帝国 dedecms phpcms等快速建站
wp discux 帝国 dedecms phpcms等快速建站
  • ¥ 99.9元
  • 市场价:499.9元
PHP运行环境 wamp lamp lnmp 安装 配置 搭建服务
PHP运行环境 wamp lamp lnmp 安装 配置 搭建服务
  • ¥ 9.9元
  • 市场价:49.9元

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: